For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leads
        • GETGet a lead by ID
        • GETGet all lead sources
        • GETGet lead source by ID
        • POSTCreate Lead: Rent Manager
        • PUTUpdate Lead: Rent Manager
        • POSTCreate Applicant Note: Rent Manager
        • POSTCreate Lead Note: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerLeads

Create Lead Note: Rent Manager

POST
/v1/leads/rentmanager/:lead_id/notes
POST
/v1/leads/rentmanager/:lead_id/notes
$curl -X POST https://api.propexo.com/v1/leads/rentmanager/lead_id/notes \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "rm-integration-987654321",
> "notes": "Contacted lead regarding rental application status. Awaiting documents."
>}'
1{
2 "meta": {
3 "job_id": "job-20240612-123456"
4 },
5 "result": {
6 "integration_id": "rm-integration-987654321",
7 "lead_id": "lead-123456789",
8 "notes": "Contacted lead regarding rental application status. Awaiting documents.",
9 "attachment": {
10 "file_name": "application_form.pdf",
11 "mime_type": "application/pdf",
12 "file_data": "SGVsbG8gV29ybGQ="
13 }
14 }
15}
Note: In the case of a failed file upload, we will attempt to upload the file again if we receive a 500 runtime error from Rent Manager. If the file is still not uploaded, we will return an error. | Method | |---| | POST /Prospects/HistoryNotes | | POST /HistoryNotes/{noteId}/UploadAttachments | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Get all leases

Next
Built with

Note: In the case of a failed file upload, we will attempt to upload the file again if we receive a 500 runtime error from Rent Manager. If the file is still not uploaded, we will return an error.

Method
POST /Prospects/HistoryNotes
POST /HistoryNotes/{noteId}/UploadAttachments
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

lead_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
notesstringRequired
Notes associated with the lead
attachmentobjectOptional
Attachment file for the note on the lead

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error